package com.qmth.distributed.print.business.bean.result.examTaskStudent;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 学生扩展信息（基础学生 + 教学班信息）
 * @Author: CaoZixuan
 * @Date: 2022-08-18
 */
public class StudentInfo implements Serializable {
    @ApiModelProperty(value = "学生id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long studentId;

    @ApiModelProperty(value = "学生名称")
    private String studentName;

    @ApiModelProperty(value = "学生编号")
    private String studentCode;

    @ApiModelProperty(value = "学生学院名称")
    private String collegeName;

    @ApiModelProperty(value = "学生专业名称")
    private String majorName;

    @ApiModelProperty(value = "教学班id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long teachClazzId;

    @ApiModelProperty(value = "教学班名称")
    private String teachClazzName;

    @ApiModelProperty(value = "行政班id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long basicClazzId;

    @ApiModelProperty(value = "行政班名称")
    private String basicClazzName;

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getCollegeName() {
        return collegeName;
    }

    public void setCollegeName(String collegeName) {
        this.collegeName = collegeName;
    }

    public String getMajorName() {
        return majorName;
    }

    public void setMajorName(String majorName) {
        this.majorName = majorName;
    }

    public Long getTeachClazzId() {
        return teachClazzId;
    }

    public void setTeachClazzId(Long teachClazzId) {
        this.teachClazzId = teachClazzId;
    }

    public String getTeachClazzName() {
        return teachClazzName;
    }

    public void setTeachClazzName(String teachClazzName) {
        this.teachClazzName = teachClazzName;
    }

    public Long getBasicClazzId() {
        return basicClazzId;
    }

    public void setBasicClazzId(Long basicClazzId) {
        this.basicClazzId = basicClazzId;
    }

    public String getBasicClazzName() {
        return basicClazzName;
    }

    public void setBasicClazzName(String basicClazzName) {
        this.basicClazzName = basicClazzName;
    }
}
